#include <ESP8266WiFi.h>
#include <ESP8266WebServer.h>
#include "secrets.h"
ESP8266WebServer server(80);            // Webszerver objektumpéldány létrehozása

void setup(void) {
  setup_wifi();                         // Csatlakozás a helyi hálózatra
  server.on("/", handleRoot);           // Visszahívási függvény hozzárendelés
  server.onNotFound(handleNotFound);    // Visszahívási függvény hozzárendelés
  server.begin();                       // Indítjuk a webszervert
}

void loop(void) {
  server.handleClient();                // A kliens kapcsolatok kezelése
}

void handleRoot() {                     // A "/" URI lekérés kiszolgálása
  server.send(200, "text/plain", "Hello world!");
}

void handleNotFound() {                 // A sikertelen lekérések kiszolgálása
  server.send(404, "text/plain", "404: Not found");
}

void setup_wifi() {
  Serial.begin(115200);
  WiFi.mode(WIFI_STA);
  WiFi.begin(WIFI_SSID, WIFI_PASS);
  Serial.print("Connecting to ");
  Serial.print(WIFI_SSID);
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  Serial.println();
  Serial.print("Connected! IP address: ");
  Serial.println(WiFi.localIP());
}
